#ifndef CHECK_MEASURE_H
#define CHECK_MEASURE_H

//#ifndef EIGEN_DONT_ALIGN_STATICALLY
//#define EIGEN_DONT_ALIGN_STATICALLY
//#endif

#include "base_measure.h"
namespace Localization {
namespace Ego {

class CheckMeasure : public BaseMeasure {
public:
    CheckMeasure() = delete;
    CheckMeasure(const CheckMeasure &) = delete;
    CheckMeasure & operator=(const CheckMeasure &) = delete;
    CheckMeasure(const MeasurementType &mType, const CheckMeaInfo &checkInfo);
    void CheckValid();
    // ****** function ****** //
    bool Update(const State &state, State &nextState) override;
    Eigen::VectorXd MeasurementEquation(const State &state) const;

}; // class CheckMeasure

} // namespace Ego
} // namespace Localization
#endif
